%define	upstream_name	 CGI-Minimal
%define upstream_version 1.30

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Extremely lightweight CGI processing package
License:    GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/CGI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
CGI-Minimal is an extremely lightweight Perl module that provides CGI
processing abilities designed to provide form decoding and related services
with low overhead.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

find %{buildroot} -name "perllocal.pod" -delete

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README TODO examples
%{perl_vendorlib}/CGI
%{_mandir}/man3/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.300.0-3.mga10
+ Revision: 2206245
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 1.300.0-2.mga9
+ Revision: 1812774
- Mageia 9 Mass Rebuild

* Tue Jun 16 2020 tv <tv> 1.300.0-1.mga8
+ Revision: 1593514
- update to 1.30

* Wed Feb 12 2020 umeabot <umeabot> 1.290.0-9.mga8
+ Revision: 1493490
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.290.0-8.mga7
+ Revision: 1266025
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 1.290.0-7.mga6
+ Revision: 1023814
- Rebuild for perl 5.22.2

* Wed Feb 03 2016 umeabot <umeabot> 1.290.0-6.mga6
+ Revision: 933610
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.290.0-5.mga5
+ Revision: 750794
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.290.0-4.mga5
+ Revision: 683649
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.290.0-3.mga4
+ Revision: 509361
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.290.0-2.mga3
+ Revision: 363537
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 1.290.0-1.mga1
+ Revision: 22065
- cleaning spec file
- imported package perl-CGI-Minimal


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.290.0-1mdv2010.0
+ Revision: 402999
- rebuild using %%perl_convert_version

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 1.29-3mdv2009.0
+ Revision: 255776
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.29-1mdv2008.1
+ Revision: 136678
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Aug 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.29-1mdv2008.0
+ Revision: 69214
- update to new version 1.29

* Sun Jul 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.27-1mdv2008.0
+ Revision: 46338
- update to new version 1.27

* Tue May 01 2007 Olivier Thauvin <nanardon@mandriva.org> 1.26-1mdv2008.0
+ Revision: 19750
- 1.26


* Sat Oct 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.25-1mdv2007.0
+ Revision: 73391
- import perl-CGI-Minimal-1.25-1mdv2007.0

* Wed May 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.25-1mdv2007.0
- New release 1.25

* Fri Apr 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.24-2mdk
- Fix SPEC Using perl Policies
	- Source URL
- use mkrel

* Tue Sep 27 2005 Nicolas Lécureuil <neoclust@mandriva.org> 1.24-1mdk
- New release 1.24

* Thu Sep 22 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.23-1mdk
- New release 1.23
- spec cleanup
- don't ship manifest
- fix directory ownership
- better url

* Tue Nov 16 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.16-1mdk
- 1.16

* Wed May 12 2004 Michael Scherer <misc@mandrake.org> 1.11-1mdk
- New release 1.11
- rpmbuildupdate aware

